"use strict";

var _resolvePlugins = _interopRequireDefault(require("./resolvePlugins"));

var _babelPresetFlow = _interopRequireDefault(require("babel-preset-flow"));

var _babelPresetEs = _interopRequireDefault(require("babel-preset-es2016"));

var _babelPresetEs2 = _interopRequireDefault(require("babel-preset-es2017"));

var _babelPresetStage = _interopRequireDefault(require("babel-preset-stage-0"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  presets: [_babelPresetFlow.default, _babelPresetEs.default, _babelPresetEs2.default, _babelPresetStage.default],
  plugins: (0, _resolvePlugins.default)(['transform-decorators-legacy', 'syntax-jsx', 'transform-react-display-name', ['transform-react-jsx', {
    pragma: 'createElement' // default pragma is React.createElement

  }], 'transform-jsx-stylesheet', // webpack 3 may not need this plugin
  process.env.BABEL_ADD_MODULE_EXPORTS !== 'false' ? 'add-module-exports' : null]),
  env: {
    development: {
      plugins: (0, _resolvePlugins.default)(['transform-react-jsx-source', 'transform-react-jsx-self'])
    },
    production: {
      plugins: (0, _resolvePlugins.default)(['transform-react-constant-elements', 'minify-dead-code-elimination'])
    }
  }
};